ClosureExpression (Groovy 2.4.6)
Date: 2016-02-18

org.codehaus.groovy.ast.expr

## Class ClosureExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.ClosureExpression

-     public class ClosureExpression
      extends Expression

  Represents a closure expression such as { statement } or { i -> statement } or { i, x, String y -> statement }
  Author:
    James Strachan, Hamlet D'Arcy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClosureExpression(Parameter[] parameters, Statement code)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Statement` | `getCode()` This gets the code statement of the closure.
    `Parameter[]` | `getParameters()`
    `String` | `getText()`
    `VariableScope` | `getVariableScope()`
    `boolean` | `isParameterSpecified()`
    `void` | `setCode(Statement code)` This sets the code statement of the closure.
    `void` | `setVariableScope(VariableScope variableScope)`
    `String` | `toString()`
    `Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit(GroovyCodeVisitor visitor)`

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClosureExpression

          public ClosureExpression(Parameter[] parameters,
                           Statement code)

  - ### Method Detail

    - #### visit

          public void visit(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### transformExpression

          public Expression transformExpression(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getCode

          public Statement getCode()

      This gets the code statement of the closure. You can read this method to find out what actions the closure is going to perform.
      Returns:
        the code statement of the closure

    - #### setCode

          public void setCode(Statement code)

      This sets the code statement of the closure. You can use this method in order to add more actions during the closure execution.
      Parameters:
        `code` - the new Statement

    - #### getParameters

          public Parameter[] getParameters()

    - #### isParameterSpecified

          public boolean isParameterSpecified()

    - #### getVariableScope

          public VariableScope getVariableScope()

    - #### setVariableScope

          public void setVariableScope(VariableScope variableScope)

    - #### getText

          public String getText()

      Overrides:
        `getText` in class `ASTNode`